Description

Lauren is seeing far fewer records returned when searching the logsolr endpoint as an authenticated user. MetacatUI reports

summary stats and calls the endpoint with an authentication token.

https://cn-sandbox.test.dataone.org/cn/v2/query/logsolr/?q=+event:read+formatType:METADATA&facet=true&facet.limit=-1&facet.mi

ncount=1&facet.range=dateLogged&facet.range.start=NOW-20YEARS&facet.range.end=NOW&facet.range.gap=%2B1MONTH&wt=

json&rows=0

curl -v "

https://cn-sandbox.test.dataone.org/cn/v2/query/logsolr/?q=+event:read+formatType:METADATA&facet=true&facet.limit=-1&facet.mi

ncount=1&facet.range=dateLogged&facet.range.start=NOW-20YEARS&facet.range.end=NOW&facet.range.gap=%2B1MONTH&wt=

json&rows=0" -H "Authorization: Bearer TOKEN"

Gives me 100x fewer records than without a token:

{"responseHeader":{"status":0,"QTime":457,"params":{"facet":"true","facet.mincount":"1","q":" event:read

formatType:METADATA","facet.range.start":"NOW-20YEARS","facet.limit":"-1","facet.range":"dateLogged","facet.range.gap":"+1MO

NTH","facet.range.end":"NOW","wt":"json","rows":"0"}},"response":{"numFound":2496,"start":0,"docs":[]},"facet_counts":{"facet_querie

s":{},"facet_fields":{},"facet_dates":{},"facet_ranges":{"dateLogged":{"counts":["2015-10-15T17:27:12.436Z",272,"2015-11-15T17:27:1

2.436Z",2224],"gap":"+1MONTH","start":"1995-12-15T17:27:12.436Z","end":"2015-12-15T17:27:12.436Z"}},"facet_intervals":{},"facet

_heatmaps":{}}}

Associated revisions

Revision 17240 - 2015-12-15 20:25 - Robert Waltz

fixes #7554

Faceting summary totals should be equal regardless if user is authenticated or if user is public. If a solr query against the event_index is a faceted

query, then always return the facet summary information as if the user is a public user.

Revision 17240 - 2015-12-15 20:25 - Robert Waltz

fixes #7554

Faceting summary totals should be equal regardless if user is authenticated or if user is public. If a solr query against the event_index is a faceted

query, then always return the facet summary information as if the user is a public user.

Revision 17242 - 2015-12-15 20:59 - Robert Waltz

fixes #7554

Faceting summary totals should be equal regardless if user is authenticated or if user is public. If a solr query against the event_index is a faceted

query, then always return the facet summary information as if the user is a public user.
Revision 17242 - 2015-12-15 20:59 - Robert Waltz

fixes #7554

Faceting summary totals should be equal regardless if user is authenticated or if user is public. If a solr query against the event_index is a faceted

query, then always return the facet summary information as if the user is a public user.

Revision 17243 - 2015-12-15 21:09 - Robert Waltz

refs #7554

moving to branch

Faceting summary totals should be equal regardless if user is authenticated or if user is public. If a solr query against the event_index is a faceted

query, then always return the facet summary information as if the user is a public user.

Revision 17243 - 2015-12-15 21:09 - Robert Waltz

refs #7554

moving to branch

Faceting summary totals should be equal regardless if user is authenticated or if user is public. If a solr query against the event_index is a faceted

query, then always return the facet summary information as if the user is a public user.

History

#1 - 2015-12-15 19:54 - Robert Waltz

From the standup meeting on Tuesday, Dec 15, 2015. All faceting will be evaluated as if the user is a public user.  A public user has access to

summary information that does not reveal ipAddress, readPermission, subject, or rightsHolder.

#2 - 2015-12-15 21:22 - Robert Waltz

- Status changed from New to In Progress

- % Done changed from 0 to 30

#3 - 2015-12-15 21:25 - Robert Waltz

- Status changed from In Progress to Closed

- % Done changed from 30 to 100
